package archetype

type Adapter interface {
	Init(cfg *Config)
	Name() string
	GetConfig(key string) (interface{}, error)
	SetConfig(key string, value interface{}) error
	ListPages() map[string]string
	GetPage(string) (Page, error)
	FormatPage(string) string
	FormattingHelp() string
	CreatePage(page Page) error
	EditPage(old Page, new Page) error
	DeletePage(page Page) error
	Build() string
}
